xcb_shm_attach(3)

NAME
xcb_shm_attach - Attach a System V shared memory segment.

SYNOPSIS
#include <xcb/shm.h>

  Request function

xcb_void_cookie_t xcb_shm_attach(xcb_connection_t *conn, xcb_shm_seg_t shmseg, uint32_t shmid, uint8_t read_only);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

shmseg
    A shared memory segment ID created with xcb_generate_id().

shmid
    The System V shared memory segment the server should map.

read_only
    True if the segment shall be mapped read only by the X11 server, otherwise false.

DESCRIPTION
Attach a System V shared memory segment to the server. This will fail unless the server has permission to map the segment. The client may destroy the segment as soon as it receives a XCB_SHM_COMPLETION event with the shmseg value in this request and with the appropriate serial number.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_shm_attach_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from shm.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.